Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 527120 - xorg-x11-server-Xorg shows graphical problems - after starting X [NEEDINFO]
Summary: xorg-x11-server-Xorg shows graphical problems - after starting X
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 11
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-04 17:15 UTC by Patrick Grieshaber
Modified: 2018-04-11 13:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:54:57 UTC
Type: ---
sysspoof: fedora_requires_release_note?
mcepl: needinfo? (sysspoof)


Attachments (Terms of Use)
xorg log (from a working xorg.config!) (72.23 KB, text/plain)
2009-10-04 17:15 UTC, Patrick Grieshaber
no flags Details
An example of the graphical problem (Screenshot). (711.94 KB, image/png)
2009-10-05 07:11 UTC, Patrick Grieshaber
no flags Details

Description Patrick Grieshaber 2009-10-04 17:15:08 UTC
Created attachment 363603 [details]
xorg log (from a working xorg.config!)

Description of problem:
After starting the Xorg server, the whole gui interface shows a lot of 3mm long lines in green (and sometimes orange). It is def a graphical fault. The little lines are everywhere - on the gnome menu, wallpaper, other windows (I mean the lines didn't only appear on gtk/qt windows or so...)

The problem is, that xorg did not crash so there is no log file which helps the devs. I've appended Xorg.0.log (but with a working xorg!).

The problem appeared after an update (yum update). Here's the list of the last yum updates (unfortunately I wasn't able to find the buggy package):
...
Oct 01 23:29:11 Updated: ibus-libs-1.2.0.20090927-1.fc11.x86_64
Oct 01 23:29:12 Updated: nash-6.0.87-4.fc11.x86_64
Oct 01 23:29:12 Updated: libpst-libs-0.6.44-1.fc11.x86_64
Oct 01 23:29:14 Updated: gnutls-2.6.6-3.fc11.x86_64
Oct 01 23:29:14 Updated: nautilus-extensions-2.26.4-2.fc11.x86_64
Oct 01 23:29:15 Updated: live555-0-0.24.2009.07.28.fc11.x86_64
Oct 01 23:29:16 Updated: newt-0.52.10-4.fc11.x86_64
Oct 01 23:29:17 Updated: file-libs-5.03-3.fc11.x86_64
Oct 01 23:29:17 Updated: grubby-6.0.87-4.fc11.x86_64
Oct 01 23:29:18 Installed: kasumi-2.4-2.fc11.x86_64
Oct 01 23:29:18 Updated: ksysguardd-4.3.1-9.fc11.x86_64
Oct 01 23:29:19 Installed: libass-0.9.7-1.fc11.x86_64
Oct 01 23:29:27 Updated: vlc-core-1.0.2-1.fc11.x86_64
Oct 01 23:29:28 Installed: python-enchant-1.3.1-4.fc11.x86_64
Oct 01 23:29:29 Installed: python-simplejson-2.0.9-2.fc11.x86_64
Oct 01 23:29:47 Updated: vlc-1.0.2-1.fc11.x86_64
Oct 01 23:29:47 Updated: file-5.03-3.fc11.x86_64
Oct 01 23:29:47 Updated: newt-python-0.52.10-4.fc11.x86_64
Oct 01 23:30:02 Updated: nautilus-2.26.4-2.fc11.x86_64
Oct 01 23:30:02 Updated: libpst-0.6.44-1.fc11.x86_64
Oct 01 23:30:04 Updated: smolt-1.4-2.fc11.noarch
Oct 01 23:30:05 Updated: mkinitrd-6.0.87-4.fc11.x86_64
Oct 01 23:30:17 Updated: selinux-policy-3.6.12-83.fc11.noarch
Oct 01 23:30:18 Updated: kernel-firmware-2.6.30.8-64.fc11.noarch
Oct 01 23:31:13 Updated: selinux-policy-targeted-3.6.12-83.fc11.noarch
Oct 01 23:31:14 Updated: smolt-firstboot-1.4-2.fc11.noarch
Oct 01 23:31:36 Updated: tzdata-2009m-2.fc11.noarch
Oct 01 23:31:44 Updated: tzdata-java-2009m-2.fc11.noarch
Oct 01 23:31:48 Updated: yum-3.2.24-2.fc11.noarch
Oct 01 23:31:50 Updated: gnutls-2.6.6-3.fc11.i586
Oct 01 23:33:54 Installed: kernel-2.6.30.8-64.fc11.x86_64
Oct 01 23:34:55 Updated: ibus-1.2.0.20090927-1.fc11.x86_64
Oct 01 23:34:57 Updated: phonon-4.3.1-6.fc11.1.x86_64
Oct 01 23:34:59 Updated: phonon-backend-xine-4.3.1-6.fc11.1.x86_64
Oct 01 23:35:00 Updated: ibus-gtk-1.2.0.20090927-1.fc11.x86_64
Oct 01 23:35:02 Updated: ibus-anthy-1.2.0.20090917-1.fc11.x86_64
Oct 01 23:35:04 Updated: ibus-m17n-1.2.0.20090617-2.fc11.x86_64
Oct 01 23:35:27 Updated: ibus-chewing-1.2.0.20090917-2.fc11.x86_64
Oct 01 23:35:29 Updated: ibus-hangul-1.2.0.20090617-2.fc11.x86_64
Oct 01 23:35:30 Updated: ibus-rawcode-1.2.0.20090703-1.fc11.x86_64
Oct 01 23:36:30 Updated: ibus-pinyin-1.2.0.20090915-1.fc11.noarch
Oct 01 23:36:33 Updated: kdebase-workspace-libs-4.3.1-9.fc11.x86_64
Oct 01 23:36:58 Updated: kdebase-workspace-4.3.1-9.fc11.x86_64
Oct 01 23:37:03 Updated: kdm-4.3.1-9.fc11.x86_64
Oct 01 23:41:03 Installed: gnome-do-0.8.1.3-7.fc11.x86_64
Oct 02 19:25:14 Installed: gsoap-2.7.13-1.fc11.x86_64
Oct 02 19:25:14 Installed: telepathy-filesystem-0.0.1-3.fc11.noarch
Oct 02 19:25:15 Installed: telepathy-haze-0.3.1-1.fc11.x86_64
Oct 02 19:25:15 Installed: telepathy-gabble-0.7.26-3.fc11.x86_64
Oct 02 19:25:16 Installed: telepathy-salut-0.3.9-1.fc11.x86_64
Oct 02 19:25:34 Installed: empathy-2.26.2-1.fc11.x86_64
Oct 02 19:25:48 Installed: kmod-VirtualBox-OSE-2.6.30.8-64.fc11.x86_64-3.0.6-1.fc11.1.x86_64
Oct 02 19:25:48 Installed: kmod-VirtualBox-OSE-3.0.6-1.fc11.1.x86_64
Oct 02 19:25:51 Installed: VirtualBox-OSE-3.0.6-1.fc11.x86_64
Oct 02 22:34:26 Erased: kmod-VirtualBox-OSE
Oct 02 22:34:26 Erased: kmod-VirtualBox-OSE-2.6.30.8-64.fc11.x86_64
Oct 02 22:34:40 Erased: VirtualBox-OSE
Oct 02 22:35:41 Installed: VirtualBox-3.0.6_52128_fedora11-1.x86_64
Oct 02 22:38:58 Installed: kernel-devel-2.6.30.8-64.fc11.x86_64
Oct 03 08:35:28 Installed: 1:xmldb-api-0.1-0.3.20011111cvs.1.3.fc11.x86_64
Oct 03 08:35:29 Installed: jakarta-commons-codec-1.3-10.4.fc11.x86_64
Oct 03 08:35:30 Installed: 1:xmldb-api-sdk-0.1-0.3.20011111cvs.1.3.fc11.x86_64
Oct 03 08:35:31 Installed: log4j-1.2.14-5.3.fc11.x86_64
Oct 03 08:35:32 Installed: 1:hsqldb-1.8.0.10-2.fc11.x86_64
Oct 03 08:35:34 Installed: antlr-2.7.7-5.fc11.x86_64
Oct 03 08:35:35 Installed: jakarta-commons-lang-2.3-3.3.fc11.x86_64
Oct 03 08:35:35 Installed: relaxngDatatype-1.0-4.2.fc11.noarch
Oct 03 08:35:35 Installed: 1:msv-xsdlib-1.2-0.2.20050722.3.4.fc10.x86_64
Oct 03 08:35:36 Installed: ws-jaxme-0.5.1-3.4.fc11.noarch
Oct 03 08:35:37 Installed: jgoodies-forms-1.2.0-2.fc11.noarch
Oct 03 08:35:39 Installed: freemind-0.8.1-1.noarch
...

I followed this guide: https://fedoraproject.org/wiki/Common_F11_bugs#Miscellaneous_problems_with_ATI_.2F_AMD_graphics_adapters

nomodeset: Didn't work
Option "AccelMethod" "XAA": didn't work
Option "AccelDFS" "off": didn't work
Option "DRI" "off": worked! (the xorg.0.log file is from the xorg.conf with this option!)

Version-Release number of selected component (if applicable):
# Xorg -version

X.Org X Server 1.6.3.901 (1.6.4 RC 1)
Release Date: 2009-8-25
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-164.el5 x86_64 
Current Operating System: Linux titan.ng-lab.org 2.6.30.8-64.fc11.x86_64 #1 SMP Fri Sep 25 04:43:32 EDT 2009 x86_64
Kernel command line: ro root=/dev/mapper/vg_titan-lv_root vga=0x346
Build Date: 09 September 2009  11:26:05AM
Build ID: xorg-x11-server 1.6.4-0.1.fc11 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.


How reproducible:
Not sure - I recognized the bug after a "yum update"...

Steps to Reproduce:
1. -
2. -
3. -
  
Actual results:
I was able to "solve" the problem with the workaround:
1/ create Xorg.conf
2/ Add Option "DRI" "off" to device section.

Expected results:
No 3mm lines (in green or orange) over the whole display.

Additional info: -

Comment 1 A. Mani 2009-10-05 01:37:05 UTC
TRY with

Section "Module"
        Load  "glx"
        Load  "dbe"
        Load  "v4l"
EndSection         

Section "ServerFlags"
        Option      "AIGLX" "on"
#       Option      "AutoAddDevices" "off"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"    
        Option      "SubPixelOrder" "NONE"
        Option      "AccelDFS" "on"       
        Option      "EnablePageFlip" "on" 
        Option      "DRI" "on"            
       #Option      "DDCMode" "off"       
       #Option      "NoDDC" "on"          
        Option      "ColorTiling" "on"    
        Option      "AGPMode" "8"         
        Option      "BusType" "PCIE"      
        Option      "DisplayPriority" "HIGH"
        Option      "AccelMethod" "EXA"     
EndSection          

Section "DRI"
        Group        0
        Mode         0666
EndSection

Section "Extensions"
        Option      "Composite" "Enable"
EndSection

Comment 2 Patrick Grieshaber 2009-10-05 07:11:38 UTC
Created attachment 363640 [details]
An example of the graphical problem (Screenshot).

Comment 3 Patrick Grieshaber 2009-10-05 07:13:44 UTC
With your configuration the same bug appears again (I've added a screenshot so that you see what I mean).

Comment 4 Matěj Cepl 2009-11-05 18:38:37 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 5 Matěj Cepl 2010-02-26 12:19:11 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 6 Bug Zapper 2010-04-28 10:41:48 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2010-06-28 14:54:57 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.